# $Revision: 1.78 $, $Date: 2011/03/01 19:49:04 $
# TODO:
# - default config does not work with inetd configuration
#
# Conditional build:
%bcond_with	clamav	#ClamAV scanning support

%define		_ftpdir	/home/services/ftp
Summary:	vsftpd - Very Secure FTP Daemon
Summary(pl.UTF-8):	Bardzo Bezpieczny Demon FTP
Summary(pt_BR.UTF-8):	vsftpd - Daemon FTP Muito Seguro
Name:		vsftpd
Version:	2.3.4
Release:	1
License:	GPL v2
Group:		Daemons
Source0:	ftp://vsftpd.beasts.org/users/cevans/%{name}-%{version}.tar.gz
# Source0-md5:	2ea5d19978710527bb7444d93b67767a
Source1:	%{name}.inetd
Source2:	%{name}.pamd
Source3:	%{name}-ftpusers
Source4:	ftpusers.tar.bz2
# Source4-md5:	76c80b6ec9f4d079a1e27316edddbe16
Source5:	%{name}.init
Patch0:		%{name}-builddefs.patch
Patch1:		%{name}-amd64-findlibs.patch
Patch2:		%{name}-clamav.patch
Patch3:		%{name}-switch_sha256_to_sha1.patch
URL:		http://vsftpd.beasts.org/
BuildRequires:	libcap-devel
BuildRequires:	libwrap-devel
%if "%{pld_release}" == "ac"
BuildRequires:	openssl-devel >= 0.9.7d
%else
BuildRequires:	openssl-devel >= 0.9.8
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-init = %{version}-%{release}
Requires:	filesystem >= 3.0-11
Requires:	pam >= 0.77.3
Provides:	ftpserver
Conflicts:	man-pages < 1.51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Very Secure FTP Daemon - written from scratch - by Chris "One Man
Security Audit Team" Evans.

%description -l pl.UTF-8
Bardzo Bezpieczny Demon FTP - napisany od zera przez Chrisa "One Man
Security Audit Team" Evansa.

%description -l pt_BR.UTF-8
A Very Secure FTP Daemon (vsftpd) - escrito do zero - por Chris "One
Man Security Audit Team" Evans.

%package inetd
Summary:	vsftpd - Very Secure FTP Daemon
Summary(pl.UTF-8):	Bardzo Bezpieczny Demon FTP
Summary(pt_BR.UTF-8):	vsftpd - Daemon FTP Muito Seguro
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Provides:	%{name}-init = %{version}-%{release}
Obsoletes:	vsftpd-standalone
Conflicts:	%{name} <= 2.0.3-1

%description inetd
This package allows to start vsftpd as inetd service.

%description inetd -l pl.UTF-8
Ten pakiet pozwala na wystartowanie vsftpd jako usługi inetd.

%package standalone
Summary:	vsftpd - Very Secure FTP Daemon
Summary(pl.UTF-8):	Bardzo Bezpieczny Demon FTP
Summary(pt_BR.UTF-8):	vsftpd - Daemon FTP Muito Seguro
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	%{name}-init = %{version}-%{release}
Obsoletes:	vsftpd-inetd
Conflicts:	%{name} <= 2.0.3-1

%description standalone
This package allows to start vsftpd as standalone daemon.

%description standalone -l pl.UTF-8
Ten pakiet pozwala na wystartowanie vsftpd jako samodzielnego demona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if %{with clamav}
%patch2 -p1
%endif
%if "%{pld_release}" == "ac"
%patch3 -p1
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LINK="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/etc/{pam.d,sysconfig/rc-inetd,logrotate.d,ftpd,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_ftpdir}/pub/incoming,/var/log}

install vsftpd $RPM_BUILD_ROOT%{_sbindir}/vsftpd
install vsftpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/vsftpd.conf
install vsftpd.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/vsftpd.conf.5
install vsftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/vsftpd.8
install RedHat/vsftpd.log $RPM_BUILD_ROOT/etc/logrotate.d/vsftpd

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/vsftpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/ftp
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/ftpd/ftpusers
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/vsftpd

> $RPM_BUILD_ROOT/var/log/vsftpd.log

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT/usr/share/man/ftpusers-path.diff

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /var/log/vsftpd.log
chmod 640 /var/log/vsftpd.log

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
fi

%post standalone
/sbin/chkconfig --add %{name}
%service vsftpd restart "vsftpd server"

%preun standalone
if [ "$1" = "0" ]; then
	%service vsftpd stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUDIT BENCHMARKS BUGS Changelog FAQ README README.ssl REWARD SIZE SPEED TODO TUNING EXAMPLE SECURITY
%attr(755,root,root) %{_sbindir}/vsftpd
%dir %attr(750,root,ftp) %dir %{_sysconfdir}/ftpd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vsftpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ftpd/ftpusers
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/ftp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/vsftpd
%attr(640,root,root) %ghost /var/log/vsftpd.log
%{_mandir}/man5/vsftpd.conf.5*
%{_mandir}/man8/vsftpd.8*
%{_mandir}/man5/ftpusers.5*
%lang(ja) %{_mandir}/ja/man5/ftpusers*
%lang(pl) %{_mandir}/pl/man5/ftpusers*
%lang(pt_BR) %{_mandir}/pt_BR/man5/ftpusers*
%lang(ru) %{_mandir}/ru/man5/ftpusers*
%dir %{_ftpdir}
%dir %{_ftpdir}/pub
# it's safe - by default anon_upload_enable=NO, anon_world_readable_only=YES
%attr(775,root,ftp) %dir %{_ftpdir}/pub/incoming

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/vsftpd

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/vsftpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vsftpd.spec,v $
Revision 1.78  2011/03/01 19:49:04  charles
- updated to 2.3.4, fixes CVE-2011-0762

Revision 1.77  2011/02/06 01:45:41  sparky
- bconds should be the very first thing, moved defines and includes after them

Revision 1.76  2010/12/28 16:39:20  blues
- rel.2: allow ssl build on AC - changed sha256 to sha1 (less secure but
  still ok and working)

Revision 1.75  2010/12/28 16:19:23  blues
- not for AC + some todo's

Revision 1.74  2010/11/25 12:01:13  duddits
- up to 2.3.2

Revision 1.73  2010/11/13 12:09:30  pawelz
- release 2

Revision 1.72  2010/08/19 21:12:13  charles
- up to 2.3.1

Revision 1.71  2010/08/06 23:56:41  charles
- up to 2.3.0

Revision 1.70  2010/04/12 19:31:21  arekm
- release 2

Revision 1.69  2009/11/18 08:58:50  adamg
- updated to 2.2.2

Revision 1.68  2009/10/23 22:41:42  adamg
- updated to 2.2.1

Revision 1.67  2009/08/18 16:57:02  adamg
- updated to 2.2.0

Revision 1.66  2009/06/04 09:01:07  marmarek
- rel 2
- updated -clamav.patch

Revision 1.65  2009/05/30 01:20:25  charles
- updated to 2.1.2
- removed -include.patch (applied upstream)

Revision 1.64  2009/05/29 01:35:43  charles
- -builddefs.patch - last change reverted
- added -include.patch

Revision 1.63  2009/05/29 01:29:30  charles
- updated to 2.1.1
- -clamav.patch commented out (needs update)
- updated -builddefs.patch (fix build)

Revision 1.62  2009/05/08 17:55:54  marmarek
- clamav support added (my patch)

Revision 1.61  2009/02/19 22:09:02  dzeus
- up to 2.1.0

Revision 1.60  2008/08/01 07:30:45  adamg
- updated to 2.0.7

Revision 1.59  2008-02-02 02:29:33  shadzik
- kill obsoletes
- rel 5

Revision 1.58  2008-01-28 18:07:30  wrobell
- rel. 4 to rebuild with libcap 2.0.5

Revision 1.57  2007/09/05 13:43:31  baggins
- rel 3

Revision 1.56  2007/03/31 22:03:00  baggins
- added krb5-ftpd to obsoletes

Revision 1.55  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.54  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.53  2006/10/27 18:30:55  qboosh
- updated dep for /usr/share/empty dir (FHS -> filesystem); release 2

Revision 1.52  2006/08/06 20:32:34  adamg
- updated to 2.0.5

Revision 1.51  2006/07/14 21:56:03  adamg
- /etc/ftpd should be owned

Revision 1.50  2006/07/13 09:30:29  pluto
- allow ipv6 listening in -standalone version, release 4.

Revision 1.49  2006/05/21 22:24:28  glen
- check-files cleanup; rel 3

Revision 1.48  2006/05/21 22:23:35  glen
- rel 2

Revision 1.47  2006/03/13 23:14:32  glen
- use %service

Revision 1.46  2006/02/13 14:34:56  dzeus
- up to 2.0.4 (file locking support, fix timezone issues)

Revision 1.45  2006/01/18 18:06:39  adamg
- release 2 (-standalone works fine on ftp4); STBR

Revision 1.44  2006/01/17 23:10:50  adamg
- drop rc-inetd dep in main package

Revision 1.43  2006/01/12 15:09:02  qboosh
- fix for pl fix fix

Revision 1.42  2006/01/12 15:03:42  adamg
- fix for pl fix

Revision 1.41  2006/01/12 15:01:07  qboosh
- pl fix

Revision 1.40  2006/01/12 14:59:09  adamg
- provide standalone version of vsftpd
- separate common part from rc-inetd/standalone stuff
- seems to be working

Revision 1.39  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.38  2005/03/20 21:52:16  dzeus
- up to 2.0.3

Revision 1.37  2005/03/03 06:57:58  adamg
- updated to 2.0.2

Revision 1.36  2004/10/29 08:17:38  paladine
- "FTP" unification

Revision 1.35  2004/07/02 19:31:31  pluto
- updated to 2.0.1.
- release 1.

Revision 1.34  2004/07/02 09:35:58  pluto
- release 2.

Revision 1.33  2004/07/02 08:02:07  pluto
- testing patch [findlibs] for amd64...

Revision 1.32  2004/07/02 07:42:25  pluto
- tls/ssl and tcp wrappers enabled.

Revision 1.31  2004/07/01 20:45:03  areq
- 2.0.0

Revision 1.30  2004/04/27 19:56:17  areq
- 1.2.2

Revision 1.29  2004/03/29 08:49:55  luzik
 - added Obsolete: glftpd

Revision 1.28  2004/03/02 00:05:02  pluto
- /srv/ftp -> /home/services/ftp

Revision 1.27  2004/03/01 18:01:38  twittner
- use %define _ftpdir

Revision 1.26  2004/03/01 17:21:52  pluto
- /home/services/ftp -> /srv/ftp

Revision 1.25  2003/12/18 10:17:29  matkor
- Release 2 (ac). DF problem ?.

Revision 1.24  2003/11/13 11:25:07  areq
- 1.2.1

Revision 1.23  2003/09/26 14:26:25  baggins
- release 2

Revision 1.22  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.21  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.20  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.19  2003/05/29 07:23:42  adamg
- updated to 1.2.0

Revision 1.18  2003/05/28 13:02:39  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 11:01:31  malekith
- massive attack, adding Source-md5

Revision 1.16  2003/05/25 06:27:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/10 09:18:13  djrzulf
- from drJojo:
  - added BR: libcap-devel,

Revision 1.14  2002/12/07 15:53:57  orzech
- /home -> /home/services

Revision 1.13  2002/11/09 22:42:46  areq
- 1.1.3, STBR

Revision 1.12  2002/10/23 10:36:58  ankry
- fixed path in ftpusers.5 man page; rel. 2

Revision 1.11  2002/10/17 08:05:24  lukasz
- 1.1.2

Revision 1.10  2002/10/08 08:27:47  areq
- 1.1.1, STBR
- fix %doc

Revision 1.9  2002/08/18 17:25:47  djrzulf
- i believe that if something is below BuildRoot is ignored,

Revision 1.8  2002/08/03 21:27:17  areq
- 1.1.0, NFY (%doc)

Revision 1.7  2002/07/16 20:39:03  kloczek
- release 5.

Revision 1.6  2002/07/14 18:54:15  kloczek
- cut %changelog.

Revision 1.5  2002/06/25 09:16:07  qboosh
- /usr/share/empty belongs to FHS now (R: new FHS); release 4

Revision 1.4  2002/06/10 00:14:45  ankry
- Conflicts: man-pages < 1.51

Revision 1.3  2002/06/10 00:08:08  ankry
- added ftpusers(5) man pages
- release 3

Revision 1.2  2002/06/05 18:41:07  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.1  2002/06/01 10:27:07  qboosh
- new; spec taken from tarball and almost rewritten

Based on spec file by Seth Vidal <skvidal@phy.duke.edu>.
